Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 620708 - media-sound/google-musicmanager depends on dev-qt/qtwebkit:4
Summary: media-sound/google-musicmanager depends on dev-qt/qtwebkit:4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Junghans
URL:
Whiteboard: Masked for removal on 2017-11-30
Keywords: PMASKED
Depends on:
Blocks: qtwebkit4-removal
  Show dependency tree
 
Reported: 2017-06-04 06:53 UTC by Michael Palimaka (kensington)
Modified: 2017-12-22 20:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka (kensington) gentoo-dev 2017-06-04 06:53:11 UTC
medis-sound/google-musicmanager depends on dev-qt/qtwebkit:4 which is ancient and will never see any security updates.

If it's not possible to disable it and there's no upstream port available it might be time to remove this package.
Comment 1 Christoph Junghans gentoo-dev 2017-06-04 18:07:07 UTC
media-sound/google-musicmanager is a binary package, so there is nothing I can do besides waiting for an update from upstream (google).
Comment 2 Andreas Sturmlechner gentoo-dev 2017-10-29 23:44:58 UTC
Any progress here? There is not much left to do on the tracker.
Comment 3 Christoph Junghans gentoo-dev 2017-10-30 00:40:59 UTC
Google didn't release a new version, so last-rite it!
Comment 4 Andreas Sturmlechner gentoo-dev 2017-10-30 01:29:07 UTC
So be it.
Comment 5 Larry the Git Cow gentoo-dev 2017-11-29 23:19:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d60617bb5c7260e18ef0811794c0df745521d6cf

commit d60617bb5c7260e18ef0811794c0df745521d6cf
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-11-29 23:14:45 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-11-29 23:19:21 +0000

    profiles: Remove last-rited packages
    
    Closes: https://bugs.gentoo.org/620708
    Closes: https://bugs.gentoo.org/620742

 app-crypt/kencfs/Manifest                          |  1 -
 app-crypt/kencfs/files/kencfs-1.4.0-encfs5.patch   | 13 ----
 app-crypt/kencfs/files/kencfs-1.6.2-desktop.patch  | 11 ---
 app-crypt/kencfs/kencfs-1.6.4.ebuild               | 45 ------------
 app-crypt/kencfs/metadata.xml                      |  8 ---
 media-sound/google-musicmanager/Manifest           |  6 --
 .../google-musicmanager-1.0.129.6633_beta.ebuild   | 82 ----------------------
 .../google-musicmanager-1.0.221.5230_beta.ebuild   | 80 ---------------------
 .../google-musicmanager-1.0.243.1116_beta.ebuild   | 80 ---------------------
 media-sound/google-musicmanager/metadata.xml       | 11 ---
 net-voip/vidyodesktop/Manifest                     |  4 --
 net-voip/vidyodesktop/metadata.xml                 | 11 ---
 .../vidyodesktop/vidyodesktop-3.6.3.017.ebuild     | 74 -------------------
 .../vidyodesktop/vidyodesktop-3.6.7.010.ebuild     | 74 -------------------
 profiles/package.mask                              | 16 -----
 15 files changed, 516 deletions(-)
Comment 6 James Lee 2017-12-22 20:07:17 UTC
For anyone who still depends on this app, I've created a Docker image for it at https://hub.docker.com/r/iamjamestl/google-musicmanager/.